# List custom field Endpoint: POST /v3/companies/{companyId}/custom-fields/list Version: v3 Security: Bearer ## Path parameters: - `companyId` (string, required) Identifier for company. Example: "4974a66b-7493-4f41-908c-58ba81093947" ## Query parameters: - `companyRole` (string, required) Role of the company. Enum: "ORG", "TMC", "PARTNER_TMC", "HR_FEED_CONNECTOR", "TRIPS_DATA_CONNECTOR", "GLOBAL" ## Request fields (application/json): - `paginationParams` (object, required) Pagination parameters for requests. - `paginationParams.offset` (integer) The starting index in the list from which results are returned. The value must be greater than or equal to 0. - `paginationParams.limit` (integer) Maximum number of results to be fetched. - `searchText` (string) Search text to filter the custom fields. - `filter` (object) - `filter.definedAtList` (array) List of entity levels at which the custom field is defined. Enum: "ORG", "TMC", "PARTNER_TMC", "HR_FEED_CONNECTOR", "TRIPS_DATA_CONNECTOR", "GLOBAL" - `filter.enabled` (boolean) Boolean to enable or disable custom field. Example: true - `filter.customFieldIds` (array) Specific custom fields ids to filter. - `filter.tripUsageTypes` (array) List of trip usage types to filter custom fields. Enum: "STANDARD", "EVENT" ## Response 200 fields (application/json): - `paginationParams` (object) Pagination parameters for response. - `paginationParams.totalNumResults` (integer, required) Total number of results. - `fields` (array) List of custom field info - `fields.definedAt` (string, required) Entity level for which this config needs to be set. Enum: "TMC_LEVEL", "APPLICATION_LEVEL", "COMPANY_LEVEL", "LEGAL_ENTITY_LEVEL", "USER_LEVEL" - `fields.enabled` (boolean) Boolean to enable or disable custom field. Example: true - `fields.createdAt` (object, required) ISO8601 UTC Date Time - `fields.createdAt.iso8601` (string, required) Example: "2017-07-21T17:32Z" - `fields.parentInfos` (array) Custom field information of a parent. - `fields.parentInfos.id` (string, required) Example: "b93dc51f-12dd-46c7-b7d6-1cb12cd3f5b3" - `fields.parentInfos.name` (string) Example: "Name" - `fields.id` (string, required) Custom field id. - `fields.name` (string, required) Name of this field to be viewed by the user and consumed by mid-office systems. Example: "Air Reason Code" - `fields.description` (object) User-facing description of the custom field. - `fields.description.value` (string, required) Description of the custom field. Example: "This field will capture the reason for out of policy booking" - `fields.includeLocations` (array) Enum: "BOOKING_CONFIRMATION_EMAILS", "APPROVAL_EMAILS", "COMPANY_REPORTS", "CONSOLIDATED_ITINERARY_EMAILS" - `fields.managementTags` (array) - `fields.managementTags.key` (string, required) The name or identifier of the tag. Example: "OOP Reason Code" - `fields.managementTags.value` (string, required) The display name of the tag, used as an alternative on the management page. Example: "Out of Policy Code" - `fields.respondOnlyOnceLevel` (string) User can respond this field only once at given level. Enum: "TRIP" ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.